summaryrefslogtreecommitdiff
path: root/regress/usr.bin/openssl
diff options
context:
space:
mode:
authorTheo Buehler <tb@cvs.openbsd.org>2024-03-03 13:29:20 +0000
committerTheo Buehler <tb@cvs.openbsd.org>2024-03-03 13:29:20 +0000
commita06647465eb336ef4f6b0719c5ec566ebd413339 (patch)
tree5ee6ea555398335f06b1521880f4ca2568b2852c /regress/usr.bin/openssl
parentbf9a7e8aee536fcb4b45ffbfd11e4ba00e47f899 (diff)
Reinstate a test that was accidentally removed in previous
Diffstat (limited to 'regress/usr.bin/openssl')
-rwxr-xr-xregress/usr.bin/openssl/appstest.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/regress/usr.bin/openssl/appstest.sh b/regress/usr.bin/openssl/appstest.sh
index 26ba9200448..84004df9454 100755
--- a/regress/usr.bin/openssl/appstest.sh
+++ b/regress/usr.bin/openssl/appstest.sh
@@ -1,6 +1,6 @@
#!/bin/sh
#
-# $OpenBSD: appstest.sh,v 1.62 2024/03/02 11:53:55 tb Exp $
+# $OpenBSD: appstest.sh,v 1.63 2024/03/03 13:29:19 tb Exp $
#
# Copyright (c) 2016 Kinichiro Inoguchi <inoguchi@openbsd.org>
#
@@ -1747,6 +1747,12 @@ function test_server_client {
test_sc_verify $sc tls1_2
test_sc_verify $sc tls1_3
+ # s_time
+ start_message "s_time ... connect to TLS/SSL test server"
+ $c_bin s_time -connect $host:$port -CApath $ca_dir -time 1 \
+ > $server_dir/s_time_${sc}.log
+ check_exit_status $?
+
stop_s_server
}